#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m,k;

    cin>>n>>m>>k;

    vector<pair<int,int>> a(n);
    vector<pair<int,int>> b(m);

    int egyik,masik;

    for(int i=0; i<n; i++)
    {
        cin>>egyik>>masik;
        a.push_back(make_pair(egyik,masik));
    }

    for(int i=0; i<m; i++)
    {
        cin>>egyik>>masik;
        b.push_back(make_pair(egyik,masik));
    }

    sort(a.begin(), a.end());

    sort(b.begin(), b.end());

    int nagy=pow((a[0].first-b[0].first),2)+pow((a[0].second-b[0].second),2);

    int xi,yi;
    xi=a[0].first;
    yi=b[0].second;

    if(n<m)
    {
        for(int i=1; i<n; i++)
        {
            if(pow((a[i].first-b[i].first),2)+pow((a[i].second-b[i].second),2)<nagy)
            {
                nagy=pow((a[i].first-b[i].first),2)+pow((a[i].second-b[i].second),2);
                xi=a[i].first;
                yi=b[i].second;
            }
        }

    }
    else
    {
        for(int i=1; i<m; i++)
        {
            if(pow((a[i].first-b[i].first),2)+pow((a[i].second-b[i].second),2)<nagy)
            {
                nagy=pow((a[i].first-b[i].first),2)+pow((a[i].second-b[i].second),2);
                xi=a[i].first;
                yi=b[i].second;
            }
        }
    }

    cout<<nagy<<endl<<xi<<" "<<yi<<endl;




    return 0;
}